DS Server

DELETE /admin/authenticationservers/{id}

Endpoint

DELETE https://example.com/admin/authenticationservers/{id}

Description

Deletes a specific authentication server based on a given ID, as Deregister on the Authentication page of the admin portal does. The endpoint was added in DS Server 3.1.0.

Examples

The following sample deletes the authentication server with the ID 1.

# Request:
curl --request DELETE 'https://trial.dsserver.io/admin/authenticationservers/1' \
    --header 'Authorization: Basic YWRtaW46YWRtaW5hZG1pbg=='

Authorization

This endpoint supports the Basic authorization method:

Basic

Header fieldDescription
AuthorizationThe username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK).

Error Response

StatusDescription
401A 401 (Unauthorized) is returned, if the user is not authorized.
404A 404 (Not Found) with an empty body is returned, if the given ID doesn't match an existing authentication server.